2011年1月20日

[plamo:30909] Re: gpg-agent / pinentry

本多です

> 手元では Xfce 4.8 にしたのですが,/etc/xdg/xfce4/xinitrc 内で,従来
> (4.6) は ssh-agent が呼ばれてましたが,4.8 から gpg-agent があれば,そ
> ちらが --enable-ssh-support オプションで起動するようです.
>
> この状態で ssh-add を実行したあと,ssh アクセスしようとすると,pinentry
> のダイアログが開くのですが,ここで何度正しいパスフレーズを入れても,"Bad

> PassPhrase" と怒られてしまいます.

pientryはpientry-gtk-2へのlnになっているはずです。

pientryはgtk2 or qt4 or cursesのどれかが選べます.
pientryのlnをpientry-qt4やpientry-cursesにするとどうですか?

# pientry-gtk-2は内部で(memory領域にデータを残さないようにするため) 変な
# 事をしているので動かない可能性は十分にあるように思えます。
# 私はpientry-qt4を使っていますが、gpg-agentとpientry-qt4のcombinationは
# 少くとも私の環境では上手く動作しています。

Naofumi Honda

投稿者 xml-rpc : 2011年1月20日 13:02
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/101429
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。